Bug 1989961 - CI apiserver downtime calculation isn't quite right
Summary: CI apiserver downtime calculation isn't quite right
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 12:47 UTC by David Eads
Modified: 2021-10-18 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26373 0 None None None 2021-08-04 12:48:27 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:43 UTC

Description David Eads 2021-08-04 12:47:47 UTC
The minimum values don't reflect our detection capabilities, leading to undercount.  In addition, the times recorded are also incorrect.

Comment 2 Ke Wang 2021-08-17 02:07:13 UTC
$ w3m -dump -cols 200 'https://search.ci.openshift.org/?search=sig-api-machinery.*should+be+available&maxAge=336h&context=1&type=junit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job' | grep -E 'ms| 0s '

No results found.

Per PR changes,  from above search results, no longer see any time representation at the millisecond level and zero second in CI test results in past 13 days, so move the bug VERIFIED.

Comment 5 errata-xmlrpc 2021-10-18 17:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.